Bug 197291 - Proposed legacy-yumconf RPM for FC4
Proposed legacy-yumconf RPM for FC4
Status: CLOSED ERRATA
Product: Fedora Legacy
Classification: Retired
Component: yum (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
LEGACY, 4
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 19:11 EDT by Jeff Sheltren
Modified: 2007-04-18 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 08:36:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Sheltren 2006-06-29 19:11:54 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Here's an updated version of the legacy-yumconf package we used for FC3.  See
bug #177966 for more info on the original package.

I've made some changes to this:
1) It no longer updates any RHN stuff
2) It does not automatically update the GPG key, as yum in FC4 will prompt the
user if they want to install it or not.

Please test and comment.

http://www.cs.ucsb.edu/~jeff/legacy/legacy-yumconf-4-1.fc4.src.rpm
589ff80629cb73466892292af6a95721e80aee34  legacy-yumconf-4-1.fc4.src.rpm

The spec file can be viewed directly here:
http://www.cs.ucsb.edu/~jeff/legacy/legacy-yumconf.spec
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (Darwin)

iD8DBQFEpF/fKe7MLJjUbNMRAr7bAKCqY8xTyydlJMKDWU+sRbSWUp75HwCgiSOt
xrHoc142Tz2qqw6ssm8Cd9w=
=KjRu
-----END PGP SIGNATURE-----
Comment 1 Jesse Keating 2006-06-29 22:17:55 EDT
We should probably point to a mirror list on fedora.redhat.com so that if we
change over to download.fedora.redhat.com we can easily chnage it there and not
worry about users's yum configs.
Comment 2 Jeff Sheltren 2006-06-30 06:47:43 EDT
Hi Jesse, sounds good to me.  If I have the repo file link to the same location
as the FC5 config does (with a change to FC4), can you get a mirror list setup
there?

I guess actually four mirror lists:
http://fedora.redhat.com/download/mirrors/legacy-os-fc4
http://fedora.redhat.com/download/mirrors/legacy-updates-released-fc4
http://fedora.redhat.com/download/mirrors/legacy-updates-testing-fc4
http://fedora.redhat.com/download/mirrors/legacy-utils-fc4
Comment 3 Jesse Keating 2006-06-30 11:27:31 EDT
sure, I'll just add them.  However can you change that to Download/mirrors/ 
Thats the new location download/ was the old location.  Long story.

Also, we don't really need legacy-os, just point to the real FC4 os mirror list.
 ANd legacy-utils would just have the yum config in it, so we don't really need
that.  Just updates-released and updates-testing.

These have been created and tagged live.  They should show up very soon.  You
could look at the FC5 fedora-release package for the yum repo configs and such.
Comment 4 Jeff Sheltren 2006-06-30 16:18:48 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Thanks, Jesse.  I've updated the package so that the repo
file now only lists updates and updates-testing repos, and
those are both pointing to the mirror lists you setup.

a05ccbcf21e8afef22bc53e58f532dc39c1a0b58  legacy-yumconf-4-2.fc4.src.rpm

http://www.cs.ucsb.edu/~jeff/legacy/legacy-yumconf-4-2.fc4.src.rpm

The updated spec is in the same place as above:
http://www.cs.ucsb.edu/~jeff/legacy/legacy-yumconf.spec
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (Darwin)

iD8DBQFEpYjlKe7MLJjUbNMRAgguAKC5lE6TeaK9gbCES+ijFUnWID1liACg0M9Y
7Eo/XtNKGhzukKNa2z8Moyk=
=ZOUK
-----END PGP SIGNATURE-----
Comment 5 Jesse Keating 2006-06-30 21:29:22 EDT
Looks good, and tested out fine.  I say good to publish.
Comment 6 Jesse Keating 2006-08-07 17:25:38 EDT
We should publish this now (:
Comment 7 Jesse Keating 2006-08-13 08:36:52 EDT
This has been released.

Note You need to log in before you can comment on or make changes to this bug.